Categories
Update a specific category
Authorization
ApiKey AuthorizationBearer <token>
In: header
Path Parameters
categoryId*string
The id of the category to retrieve
Request Body
application/json
The workspace ID is automatically inherited from the API request context (e.g., authentication).
name*string
description?string
parent?|
ID of the parent category, or null for a root category.
Response Body
application/json
curl -X PUT "https://api.trainfog.com/developers/v1.0/categories/string" \ -H "Content-Type: application/json" \ -d '{ "name": "Updated category name" }'{
"id": "688874b1a08a60001dd72e1d",
"name": "Test category",
"fullPath": "Root Category > Test category",
"description": "Second Child Category",
"parent": "688874b1a08a60001dd72e11",
"createdAt": "2025-07-29T07:13:53.474Z",
"updatedAt": "2025-07-29T07:13:53.474Z"
}